2009-01-11 00:46  jannis

	* NEWS:
	  Update NEWS for the upcoming 4.5.93 release.

2009-01-10 22:22  jannis

	* dialogs/keyboard-settings/command-dialog.c, po/ChangeLog,
	  po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/es.po,
	  po/eu.po, po/fi.po, po/fr.po, po/hu.po, po/id.po, po/ja.po,
	  po/nb.po, po/nl.po, po/pt_BR.po, po/sv.po, po/tr.po, po/uk.po,
	  po/xfce4-settings.pot:
	  Modify the shortcut command dialog so that it matches the look of
	  the
	  shortcut dialog from libxfce4kbd-private. Update translation
	  files
	  because I changed the title string.

2009-01-06 10:02  stavrosg

	* po/ChangeLog, po/LINGUAS, po/el.po:
	  Greek translations update

2009-01-03 14:38  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2009-01-02 23:10  stephan

	* xfce4-settings-editor/xfce4-settings-editor.desktop.in,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Applied patch from Nick Schermer to fix the .desktop file,
	  icon-name and camel-casing.

2009-01-02 14:55  stephan

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/es.po, po/eu.po,
	  po/fi.po, po/fr.po, po/hu.po, po/id.po, po/ja.po, po/nb.po,
	  po/nl.po, po/pt_BR.po, po/sv.po, po/tr.po, po/uk.po,
	  po/xfce4-settings.pot:
	  Update .po files

2009-01-02 14:53  stephan

	* xfce4-settings-editor/xfce4-settings-editor.glade:
	  Applied patch by Jannis Pohlmann with modifications.

2009-01-02 12:48  stephan

	* xfce4-settings-editor/xfce4-settings-editor.glade:
	  Use XfceTitledDialog instead of the header+GtkDialog.
	  
	  Fix some strings.

2008-12-31 02:37  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation fixed

2008-12-30 10:26  sas

	* po/LINGUAS, po/hu.po:
	  [intl:hu] littlefixes2

2008-12-30 09:15  sas

	* po/hu.po:
	  [intl:hu] little updates

2008-12-28 18:30  jannis

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Set wrap-width of the settings manager icon view to 128 instead
	  of 30.
	  This should fix bug #4743.

2008-12-25 19:19  maximilian

	* po/ChangeLog, po/id.po:
	  Translations updates - gl id ja uk zh_CN

2008-12-20 21:54  eulex

	* po/ChangeLog, po/LINGUAS, po/sv.po:
	  xfce4-session/trunk/po:
	  * sv.po: Swedish translation update (Daniel Nylander)
	  xfce4-settings/trunk/po:
	  * sv.po, LINGUAS: Swedish translation added (Daniel Nylander)
	  xfcalendar/trunk/po:
	  * sv.po: Swedish translation update (Daniel Nylander)

2008-12-16 18:38  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-12-13 14:23  maximilian

	* po/ChangeLog, po/LINGUAS, po/uk.po:
	  Translations updates - es ja uk

2008-12-08 00:00  piarres

	* po/ChangeLog, po/eu.po:
	  Trunk basque trasnaltion updates

2008-12-07 18:40  piarres

	* po/ChangeLog, po/eu.po:
	  xfce-trunk Basque translation update

2008-12-04 09:07  jannis

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Wrap labels at 30 chars in the icon view of the settings manager.

2008-12-03 22:31  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updates - fr pl

2008-11-30 21:43  maximilian

	* po/ChangeLog, po/ca.po, po/fr.po:
	  Translations updates - ca - xfce4-session po update

2008-11-30 19:23  maximilian

	* po/ChangeLog, po/es.po, po/ja.po:
	  Translations updates - ca es fr ja

2008-11-29 23:00  maximilian

	* po/de.po, po/fr.po:
	  Translations updates - fr

2008-11-29 02:40  omaciel

	* po/ChangeLog, po/pt_BR.po:
	  Updated Brazilian Portuguese translation for xfce4-session,
	  thunar, and xfce4-settings.

2008-11-28 21:51  maximilian

	* po/ChangeLog, po/LINGUAS, po/nb.po:
	  Translations updates - nb

2008-11-26 23:34  piarres

	* po/ChangeLog, po/LINGUAS, po/eu.po:
	  xfce4-mixer and xfce4-settings BAsque translations added

2008-11-25 21:20  maximilian

	* po/ChangeLog, po/es.po:
	  Translations updates - es fr

2008-11-23 14:47  maximilian

	* po/ChangeLog, po/ca.po:
	  Translations updates - ca ja nb uk

2008-11-23 10:43  olivier

	* ChangeLog, NEWS, xfce4-settings-helper/workspaces.c:
	  * xfce4-settings-helper/workspaces.c: Fix xfce4-settings-helper
	  not
	  setting workspace count.

2008-11-21 15:40  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-11-19 06:17  erenturkay

	* po/ChangeLog, po/LINGUAS, po/tr.po:
	  Add/update Turkish translation by Turkish translation team.

2008-11-18 21:54  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation.

2008-11-17 21:48  kelnos

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/es.po, po/fi.po,
	  po/fr.po, po/id.po, po/ja.po, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  update-po

2008-11-17 21:47  kelnos

	* dialogs/accessibility-settings/accessibility-dialog.glade:
	  ouch, fix bad typo

2008-11-17 21:12  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation.

2008-11-17 02:11  kelnos

	* po/ca.po, po/cs.po, po/da.po, po/de.po, po/es.po, po/fi.po,
	  po/fr.po, po/id.po, po/ja.po, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  update xfce4-settings.pot & update-po

2008-11-17 02:09  kelnos

	* dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  xfce4-settings-editor/main.c,
	  xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade,
	  xfsettingsd/main.c:
	  Review and fix strings. All started with a patch from Robby
	  Workman

2008-11-16 22:39  maximilian

	* po/ChangeLog, po/ca.po, po/de.po, po/es.po:
	  Translations updates and additions - ca, de, es, id, tr, uk

2008-11-13 03:27  kelnos

	* NEWS, xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  set dialog type hint to 'normal', since it really is just a
	  normal
	  window, and should have a minimize action (bug 4596)

2008-11-11 18:42  kelnos

	* xfce4-settings-helper/workspaces.c:
	  make the workspaces helper multi-screen aware and fix compilation
	  with
	  older versions of libwnck

2008-11-11 05:17  kelnos

	* xfce4-settings-helper/workspaces.c:
	  oops, fix warning

2008-11-11 05:14  kelnos

	* xfce4-settings-helper/workspaces.c:
	  fix workspace names setting... seems wnck_workspace_change_name()
	  is
	  broken if you call it several times in succession for different
	  workspaces

2008-11-11 05:14  kelnos

	* xfce4-settings-helper/main.c:
	  set SmRestartIfRunning if started in debug mode

2008-11-11 00:34  jannis

	* xfce4-settings-manager/Makefile.am,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c,
	  xfce4-settings-manager/xfce-text-renderer.c,
	  xfce4-settings-manager/xfce-text-renderer.h:
	  Add XfceTextRenderer which is a copy of ThunarTextRenderer just
	  without
	  the edit functionality. Use this renderer in the main settings
	  dialog so
	  that we now have full prelit/follow-state and keyboard navigation
	  support. This fixes bug #4593.

2008-11-10 17:00  jannis

	* xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.h:
	  Implement --dialog=<dialog name> option in the settings manager.
	  This
	  means you can now start it with e.g. "xfce4-settings-manager
	  --dialog
	  xfce-ui-settings" and it will immediately switch to the UI
	  contents.
	  Maybe we can make this the default for the Exec field of all
	  settings
	  dialogs and add use special X-XfceExec field for the *real*
	  command
	  which is then used by the settings manager to launch the dialogs.
	  
	  Also fix a few occurances of GtkIconView/GTK_ICON_VIEW in the
	  code and
	  set the "follow-state" property of the icon renderer to TRUE so
	  that the
	  icons are properly prelighted on on mouse hover events.

2008-11-10 06:31  stephan

	* xfsettingsd/registry.c:
	  Set some comments inside the registry file to hold others from
	  'fixing' defaults

2008-11-10 06:26  stephan

	* configure.ac.in, xfsettingsd/Makefile.am, xfsettingsd/registry.c,
	  xfsettingsd/xsettings.xml:
	  Bump version and dependency versions
	  Fix bug 4545 the way it's supposed to

2008-11-09 23:57  maximilian

	* po/ChangeLog, po/ca.po, po/ja.po:
	  Translation updates

2008-11-07 17:28  nick

	* dialogs/display-settings/xfce-randr.c,
	  xfce4-settings-editor/main_window.c,
	  xfce4-settings-helper/main.c, xfce4-settings-manager/main.c:
	  * Fix typo in previous commit and some other compile errors.

2008-11-07 17:21  nick

	* dialogs/display-settings/xfce-randr.c,
	  xfce4-settings-helper/displays.c:
	  * Change removed xfconf_channel_remove_property()'s.

2008-11-07 17:05  nick

	* configure.ac.in:
	  * Xf86misc is not a dependency anymore.

2008-11-07 01:54  kelnos

	* xfce4-settings-helper/main.c:
	  should call _exit() from the parent, not return

2008-11-07 01:54  kelnos

	* xfce4-settings-helper/Makefile.am:
	  oops, missing file from commit

2008-11-07 01:53  kelnos

	* NEWS, xfce4-settings-helper/main.c:
	  implement session management for xfce4-settings helper and use
	  SmRestartImmediately to ensure it doesn't disappear. also acquire
	  a
	  manager selection to ensure uniqueness.

2008-11-06 23:49  kelnos

	* xfce4-settings-helper/main.c:
	  use XfcePosixSignalHandler instead of calling gtk_main_quit()
	  from a
	  signal handler; that may not be safe...

2008-11-06 12:06  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-11-03 22:42  lars

	* po/ChangeLog, po/LINGUAS, po/da.po:
	  update-po

2008-11-02 23:38  maximilian

	* po/ChangeLog, po/LINGUAS, po/es.po:
	  Translation updates and additions - de es ku tr

2008-11-01 23:16  maximilian

	* po/fr.po:
	  Translations udpates in Kurdish, also unfinished French, too lazy
	  to take them out of the commit tonight

2008-11-01 22:56  majkl

	* po/ChangeLog, po/cs.po:
	  Czech translation updated

2008-11-01 15:42  olivier

	* ChangeLog, NEWS, dialogs/appearance-settings/main.c,
	  xfsettingsd/registry.c:
	  * dialogs/appearance-settings/main.c, xfsettingsd/registry.c: Use
	  "Rodent" as default icon theme (and not "hicolor" (Bug #4545)

2008-11-01 11:50  olivier

	* ChangeLog, dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  * dialogs/keyboard-settings/xfce-keyboard-settings.c: Avoid
	  duplication
	  of code.

2008-10-31 23:04  stephan

	* xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  YAY, xfce4-settings-editor can be used to edit settings!!!
	  (non-array settings, and types can not be overridden... but
	  still)

2008-10-31 20:48  olivier

	* ChangeLog, dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  * dialogs/keyboard-settings/xfce-keyboard-settings.c: Disable
	  keyboard
	  layout frames when system default is active.

2008-10-31 16:59  jannis

	* dialogs/display-settings/xfce-display-settings.desktop.in:
	  Remove empty line.

2008-10-31 16:59  jannis

	* xfce4-settings-manager/Makefile.am,
	  xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Add "xfce4-settings-manager" xfconf channel and remember the
	  dialog
	  size.

2008-10-30 23:58  jannis

	* dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/xfce4-accessibility-settings.desktop.in,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/xfce-ui-settings.desktop.in,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/xfce-display-settings.desktop.in,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.desktop.in,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  dialogs/mouse-settings/xfce-mouse-settings.desktop.in,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  This is an attempt to improve the strings in the core settings
	  dialogs.
	  This commit also removes GenericName and X-XfceSettingsName from
	  the
	  desktop entries. I'm not a native speaker, so if the strings
	  could be
	  better, please go ahead!

2008-10-30 23:58  jannis

	* xfce4-settings-manager/main.c:
	  Revert settings manager sizing algorithm. Use the minimum of 2/3
	  screen
	  size and 800x600 instead of the maximum of a small size and 2/3
	  screen
	  size again.

2008-10-30 23:14  jannis

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Add timeout handler for making the client frame visible. This
	  avoids
	  most of the black glitches.

2008-10-30 18:50  jannis

	* dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c, dialogs/mouse-settings/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Use xfce_exec_on_screen() to launch settings dialogs in the
	  settings
	  manager. Call gdk_notify_startup_complete() after creating the
	  plug in
	  all core settings dialogs.

2008-10-30 17:52  maximilian

	* po/ChangeLog, po/id.po:
	  Translations updates - id

2008-10-30 11:10  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-30 07:13  kelnos

	* dialogs/keyboard-settings/keyboard-dialog_glade.h:
	  remove autogenerated file

2008-10-28 23:42  jannis

	* po/ca.po, po/cs.po, po/de.po, po/fi.po, po/fr.po, po/id.po,
	  po/ja.po, po/nl.po, po/pt_BR.po, po/xfce4-settings.pot:
	  Update translation files.

2008-10-28 23:35  omaciel

	* po/ChangeLog, po/POTFILES.in, po/pt_BR.po:
	  Updated Brazilian Portuguese translation.

2008-10-28 23:17  maximilian

	* po/ChangeLog, po/de.po, po/fr.po, po/id.po:
	  Translations updates and additions HUGE

2008-10-28 22:37  jannis

	* Makefile.am, common/Makefile.am, common/xfce-shortcuts-grabber.c,
	  common/xfce-shortcuts-grabber.h,
	  common/xfce-shortcuts-provider.c,
	  common/xfce-shortcuts-provider.h, configure.ac.in,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.h,
	  dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/frap-shortcuts.h,
	  dialogs/keyboard-settings/keyboard-dialog_glade.h,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  Remove common/ and add dependency on libxfce4kbd-private for all
	  the
	  shortcuts related code.

2008-10-28 12:28  majkl

	* po/ChangeLog, po/LINGUAS, po/cs.po:
	  Czech translation added

2008-10-20 20:41  maximilian

	* po/ChangeLog, po/LINGUAS, po/ca.po, po/de.po, po/ja.po:
	  Translation updates for many packages in many languages, is this
	  message too vague

2008-10-20 17:11  jannis

	* common/xfce-shortcuts-grabber.c,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.h,
	  dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Sync Frap code. Don't strip Meta_L/Meta_R flags from modifier
	  bits. That
	  seems to give odd results and needs some testing. Improve the
	  shortcuts
	  tab a bit. Add question dialog before resetting to defaults, just
	  like
	  in the xfwm4 settings dialog.

2008-10-20 16:20  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-20 08:25  nick

	* common/xfce-shortcuts-grabber.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-editor/main_window.c,
	  xfce4-settings-helper/workspaces.c:
	  * Fix a bunch of compiler warnings and errors so we can actually
	  build it...

2008-10-20 08:12  olivier

	* ChangeLog, dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  po/xfce4-settings.pot:
	  Add a dialog box to warn user that the session needs to be
	  restarted when selecting system defaults.

2008-10-19 21:45  kelnos

	* xfce4-settings-editor/xfce4-settings-editor.desktop.in,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c,
	  xfce4-settings-manager/xfce-settings-manager.desktop.in:
	  ditch X-XfceSettingsDialog category and key off X-XFCE and
	  DesktopSettings. add X-XfceSettingsManagerHidden key in order to
	  blacklist apps like xfce4-settings-manager itself, and
	  xfce4-settings-edditor

2008-10-19 08:13  stephan

	* xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Fix property-type display in property treeview
	  Display correct property-type in edit-dialog
	  Fix reload of property-treeview after resetting property.

2008-10-19 00:45  jannis

	* dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/keyboard-dialog.glade, po/ChangeLog,
	  po/POTFILES.in, po/de.po, po/fi.po, po/fr.po, po/id.po, po/ja.po,
	  po/nl.po, po/pt_BR.po, po/xfce4-settings.pot:
	  * POTFILES.in: Update file list.
	  * de.po: Update German translations.
	  * xfce4-settings.pot, *.po: Update strings.

2008-10-18 22:47  jannis

	* dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Add title to the 'Active' column of the keyboard layout tree
	  view.

2008-10-18 22:42  kelnos

	* dialogs/appearance-settings/appearance-dialog.glade:
	  fix misspelling -- camberra -> canberra

2008-10-18 22:21  jannis

	* dialogs/keyboard-settings/keyboard-dialog.glade:
	  Rename the 'Shortcuts' tab to 'Application Shortcuts' as
	  suggested on
	  the mailing list.

2008-10-18 21:58  jannis

	* Makefile.am, common, common/Makefile.am,
	  common/xfce-shortcuts-grabber.c, common/xfce-shortcuts-grabber.h,
	  common/xfce-shortcuts-provider.c,
	  common/xfce-shortcuts-provider.h, configure.ac.in,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  dialogs/keyboard-settings/frap-shortcuts-provider.h,
	  dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/frap-shortcuts.h,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/frap-shortcuts-provider.c,
	  xfce4-settings-helper/frap-shortcuts-provider.h,
	  xfce4-settings-helper/frap-shortcuts.c,
	  xfce4-settings-helper/frap-shortcuts.h,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  Properly handle keyboard layout changes in the shortcuts code.
	  This
	  commit also introduces the common/ subdirectory containing code
	  used in
	  several places. FrapShortcutsProvider is now
	  XfceShortcutsProvider.
	  There's a new class XfceShortcutsGrabber for grabbing key
	  combinations
	  and handling keyboard layout changes. The GDK/X11-related code
	  for the
	  shortcuts has been significantly simplified and is inspired by
	  the code
	  we had in 4.4.

2008-10-18 20:54  olivier

	* ChangeLog, NEWS, dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-helper/keyboard-layout.c:
	  Add an option to disable keyboard settings.

2008-10-18 14:25  maximilian

	* po/ChangeLog, po/LINGUAS, po/id.po, po/ja.po:
	  Translation updates and additions for many packages in es, fr,
	  id, ja, nb_NO and tr

2008-10-18 08:42  stephan

	* xfsettingsd/xsettings.xml:
	  Fix default settings - remove everything we don't want to
	  override.

2008-10-18 08:15  stephan

	* xfsettingsd/Makefile.am, xfsettingsd/xsettings.xml:
	  Add default settings file for xfsettingsd

2008-10-16 22:28  olivier

	* ChangeLog, dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Remove misleading comment, the functionality works as expected.

2008-10-16 22:12  olivier

	* ChangeLog, dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Add group selection.

2008-10-16 19:31  jannis

	* NEWS:
	  Actually, this is no news. The GLib check was ok in the beta
	  release.

2008-10-16 19:24  jannis

	* NEWS, dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Fix GLib 2.14 version check in the keyboard settings. Update
	  NEWS.

2008-10-15 22:27  jannis

	* po/ChangeLog, po/LINGUAS:
	  * LINGUAS: Remove hu because hu.po is missing.

2008-10-15 03:10  sas

	* po/LINGUAS:
	  [intl:hu] little fixes

2008-10-13 11:45  jannis

	* dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Make keyboard settings coding style more consistent.

2008-10-13 09:36  stephan

	* configure.ac.in:
	  bump dependency versions

2008-10-13 09:04  stephan

	* configure.ac.in, xfce4-settings-helper/frap-shortcuts-provider.c:
	  OOPS
	  (gonna bump the version now... this one is ok)

2008-10-13 09:02  stephan

	* dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-helper/frap-shortcuts-provider.c:
	  Next try

2008-10-13 08:53  stephan

	* dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-helper/frap-shortcuts-provider.c:
	  Add some ifdefs to fix compile against glib 2.12

2008-10-12 23:48  jannis

	* po/POTFILES.in:
	  Add xfce4-settings-editor/main_window.c to POTFILES.in.

2008-10-12 23:44  jannis

	* NEWS, dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c, po/de.po,
	  po/fi.po, po/fr.po, po/nl.po, po/pt_BR.po, po/xfce4-settings.pot:
	  Update NEWS, po and pot files, fix compiler warnings and improve
	  the
	  keyboard layout UI a little bit.

2008-10-12 09:44  olivier

	* ChangeLog, dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Prevent potential random memory access with broken settings.

2008-10-12 08:42  stephan

	* xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Fixed the 'reset' function for properties
	  Disabled 'new property', since I won't be able to fix that prior
	  to beta1
	  Introduced lots of errors from glib ^_^ (if the xfconf docs are
	  correct, it should be fixed in xfconf)

2008-10-11 23:19  olivier

	* ChangeLog, dialogs/keyboard-settings/xfce-keyboard-settings.c:
	  Fix layout not being shown if no variant is selected.

2008-10-11 22:54  olivier

	* ChangeLog, configure.ac.in,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c, po/de.po,
	  po/fi.po, po/fr.po, po/nl.po, po/pt_BR.po, po/xfce4-settings.pot,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/keyboard-layout.c,
	  xfce4-settings-helper/keyboard-layout.h,
	  xfce4-settings-helper/keyboards.c, xfce4-settings-helper/main.c:
	  Add keyboard layout selector

2008-10-11 17:30  stephan

	* xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Fix window-sizing issues
	  Display the values for string-type properties

2008-10-11 15:22  stephan

	* xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Improve UI (merge old-one with new-one)

2008-10-11 08:49  stephan

	* xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Add some more data to the trees

2008-10-11 08:42  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation.

2008-10-11 08:19  stephan

	* po/ChangeLog, po/de.po, po/fi.po, po/fr.po, po/nl.po,
	  po/pt_BR.po, po/xfce4-settings.pot:
	  Update .po files
	  Update Dutch translation

2008-10-10 22:35  olivier

	* ChangeLog, dialogs/keyboard-settings/keyboard-dialog.glade,
	  po/de.po, po/fi.po, po/fr.po, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  Add gui for layout selection - There is no usable code yet, this
	  commit is to get the strings in for translators to be able to
	  pick up.

2008-10-10 11:58  olivier

	* ChangeLog, dialogs/appearance-settings/appearance-dialog.glade:
	  Set zero page-size to adjustment for newer gtk+ version

2008-10-10 11:53  olivier

	* ChangeLog, dialogs/appearance-settings/appearance-dialog.glade:
	  Add accelerator to labels for sound control

2008-10-10 11:45  olivier

	* xfsettingsd/registry.c:
	  Use booleans for Net/EnableEventSounds and
	  Net/EnableInputFeedbackSounds, as does gnome with gconf and
	  xsettings does not make a difference - This is required to make
	  the UI work (Bug #4367 cont.)

2008-10-10 07:22  maximilian

	* po/ChangeLog, po/fr.po:
	  Translations updated and added in Japanese and French for the
	  squeeze, mixer, libxfce4ui, thunar, xfcalendar, settings and
	  xfdesktop modules

2008-10-09 21:58  olivier

	* dialogs/appearance-settings/appearance-dialog.glade:
	  Use 'event sounds' in label for consistency

2008-10-09 21:47  olivier

	* configure.ac.in:
	  Add optional UI options to enable/disable sounds in Camberra (Bug
	  #4367) - continue

2008-10-09 21:46  olivier

	* dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/main.c:
	  Add optional UI options to enable/disable sounds in Camberra (Bug
	  #4367)

2008-10-09 15:13  maximilian

	* po/LINGUAS:
	  Revert sas LINGUAS change in xfce4-settings

2008-10-09 05:30  sas

	* po/LINGUAS:
	  [intl:hu] xfce4-settings added

2008-10-08 00:04  jannis

	* dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  xfce4-settings-helper/frap-shortcuts-provider.c:
	  Always add the override property when cloning the defaults.

2008-10-07 23:59  jannis

	* dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  xfce4-settings-helper/frap-shortcuts-provider.c:
	  Fix crash at dialog/helper startup.

2008-10-07 23:52  jannis

	* dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  dialogs/keyboard-settings/frap-shortcuts-provider.h,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-helper/frap-shortcuts-provider.c,
	  xfce4-settings-helper/frap-shortcuts-provider.h:
	  Make sure to register each provider when created.
	  
	  Each provider now automatically adds itself to the /providers
	  property
	  of the shortcuts channel when it is created and not already
	  added.

2008-10-07 22:43  stephan

	* xfce4-settings-editor/xfce4-settings-editor.glade:
	  Improve packing of right-pane

2008-10-07 22:41  stephan

	* dialogs/display-settings/xfce-randr-legacy.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Fix compile-warnings

2008-10-07 14:45  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-07 12:31  jannis

	* dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  po/POTFILES.in, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/frap-shortcuts-provider.c,
	  xfce4-settings-helper/frap-shortcuts-provider.h,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  Redo the settings helper to support FrapShortcutsProvider. Fix
	  warnings.

2008-10-07 04:51  jannis

	* dialogs/keyboard-settings/frap-shortcuts.c.bak:
	  Remove backup file.

2008-10-07 04:51  jannis

	* configure.ac.in, dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.h,
	  dialogs/keyboard-settings/frap-shortcuts-provider.c,
	  dialogs/keyboard-settings/frap-shortcuts-provider.h,
	  dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/frap-shortcuts.c.bak,
	  dialogs/keyboard-settings/frap-shortcuts.h,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.c,
	  dialogs/keyboard-settings/xfce-keyboard-settings.h:
	  Re-implement the way keyboard shortcuts work.
	  
	  Depend on the latest version of xfconf as it includes some bug
	  fixes we
	  need for this to work.
	  
	  Add FrapShortcutsProvider which acts as an abstraction layer over
	  the
	  /default and /custom storage details. A FrapShortCutsProvider
	  represents a set of shortcuts, /commands or /xfwm4 for instance.
	  It
	  automatically clones the default settings when created (if
	  necessary)
	  and provides two signals: 'shortcut-removed' and
	  'shortcut-added'.
	  
	  Rework the conflicts dialog, add a reset button the the keyboard
	  settings dialog and make the whole settings dialog code a GObject
	  (XfceKeyboardSettings).

2008-10-06 21:59  stephan

	* xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Redid UI and refactored the code

2008-10-06 20:52  jannis

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Add support for X-XfceHelpFile so dialogs can have a help button.
	  
	  X-XfceHelpFile is a new .desktop file key which allows dialogs to
	  hook
	  into the help button of the main settings dialog. The main dialog
	  uses
	  xfhelp4 to open relative X-XfceHelpFile's and exo-open to open
	  absolute
	  filenames.

2008-10-06 20:52  jannis

	* xfce4-settings-helper/keyboard-shortcuts.c:
	  Introduce new way to separate default from custom shortcuts: Use
	  two
	  different base properties ('/commands/default' and
	  '/commands/custom').
	  Use '/commands/default' by default and only use the shortcuts
	  defined
	  in '/commands/custom' if '/commands/custom/override' is TRUE.

2008-10-06 16:34  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations.

2008-10-05 23:17  stephan

	* xfce4-settings-editor/Makefile.am, xfce4-settings-editor/main.c,
	  xfce4-settings-editor/main_window.c,
	  xfce4-settings-editor/main_window.h,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Modify the GUI, put everything in the same treeview.

2008-10-05 17:52  maximilian

	* po/ChangeLog, po/LINGUAS, po/de.po:
	  Updated and added Estonian translations for the libxfcegui4,
	  terminal and mousepad trunk modules and libxfce4util branch 4.4
	  module
	  Updated Indonesian translations for the xfce-utils, xfce4-mixer,
	  xarchiver, xfwm4, xfcalendar and xfdesktop trunk modules
	  Updated and added Spanish translations for the xfce4-appfinder,
	  squeeze, libexo, xfce-utils, libxfce4menu, xfce4-session,
	  xfce4-mixer, libxfce4util, libxfce4ui, xfce4-icon-theme, thunar,
	  libxfcegui4, xfce4-panel, xfdesktop, xfce4-trigger-launcher,
	  terminal, mousepad and xfmedia trunk modules
	  Updated Russian translation for the xarchiver, libexo and
	  libxfcegui4 trunk modules
	  Updated and added German translation of the xfce4-settings and
	  xfwm4 trunk modules
	  Updated Japanese translation for the thunar module
	  Updated Sinhalese translation for the libxfcegui4 trunk module

2008-10-04 23:06  stephan

	* xfce4-settings-editor/main.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Toggle button-sensitivity when navigating treeview

2008-09-30 21:59  stephan

	* xfce4-settings-editor/main.c:
	  Add support for the locked state of a property.

2008-09-28 07:35  stephan

	* xfce4-settings-editor/xfce4-settings-editor.glade:
	  Add some buttons to the ui

2008-09-27 23:14  stephan

	* xfce4-settings-editor/main.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Add 'locked' item to listview

2008-09-26 22:04  stephan

	* xfce4-settings-editor/main.c:
	  Improved usability patch by Enrico Troeger.

2008-09-26 21:47  stephan

	* xfce4-settings-editor/main.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Applied patch by Enrico Troeger to fix the window-size

2008-09-25 21:57  stephan

	* xfce4-settings-editor/xfce4-settings-editor.glade:
	  Modify glade file (add edit-dialog)

2008-09-25 20:54  stephan

	* xfce4-settings-editor/main.c:
	  Fix String type stuff
	  Only show properties in treeview that contain children.

2008-09-23 20:07  kelnos

	* po/POTFILES.in:
	  add workspaces.c oto potfiles

2008-09-17 22:19  jannis

	* dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c, dialogs/mouse-settings/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Don't use kill() to make applications with embedded dialogs quit.
	  Instead, just destroy and re-create the socket. All clients now
	  have to
	  connect to the 'delete-event' of their GtkPlug. In most cases,
	  just
	  using gtk_main_quit() as a callback will work.

2008-09-17 07:34  stephan

	* xfsettingsd/registry.c:
	  fix little bug with wrong c/p

2008-09-17 07:30  stephan

	* xfsettingsd/registry.c:
	  add some missing XSETTINGS (hope moritz doesn't kill me)

2008-09-16 16:18  jannis

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Use gdk_spawn_command_line_on_screen() instead of
	  gdk_spawn_on_screen()
	  when starting dialogs which do not support X-XfcePluggable. Just
	  use
	  the Exec value and don't try to parse it and generate an ARGV
	  array.

2008-09-16 01:00  kelnos

	* po/POTFILES.in, po/fi.po, po/fr.po, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  merge xfsettingsd strings from xfconf package

2008-09-15 21:48  stephan

	* Makefile.am, configure.ac.in, xfce4-settings-helper/workspaces.c,
	  xfsettingsd, xfsettingsd/Makefile.am, xfsettingsd/main.c,
	  xfsettingsd/registry.c, xfsettingsd/registry.h:
	  Add xfsettingsd from xfconf/trunk/xfsettingsd

2008-09-15 09:36  olivier

	* xfce4-settings-editor/main.c:
	  ... and initialize the variable properly too...

2008-09-15 09:32  olivier

	* xfce4-settings-editor/main.c:
	  /me forgot to change the name of the helper function (at least).

2008-09-15 09:28  olivier

	* xfce4-settings-editor/main.c:
	  Fix xfce4-settings using g_hash_table_get_keys() from glib 2.14,
	  based on the fix Nick committed for the systray (bug #4377)

2008-09-15 07:12  stephan

	* configure.ac.in:
	  add svn tag

2008-09-14 21:11  jannis

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Detect whether a settings dialog supports X-XfcePluggable before
	  trying
	  to embedd it into the main dialog. If it doesn't, just spawn it
	  and
	  don't switch to the socket view. If it does, define the
	  --socket-id
	  parameter and try to embed the dialog.

2008-09-14 20:59  jannis

	* dialogs/accessibility-settings/xfce4-accessibility-settings.desktop.in,
	  dialogs/appearance-settings/xfce-ui-settings.desktop.in,
	  dialogs/keyboard-settings/xfce-keyboard-settings.desktop.in,
	  dialogs/mouse-settings/xfce-mouse-settings.desktop.in:
	  Add X-XfcePluggable=true to all desktop files of settings dialogs
	  that
	  already support embedding into the settings manager.

2008-09-14 20:13  jannis

	* dialogs/appearance-settings/main.c:
	  Destroy the dialog widget in the correct place.

2008-09-14 19:24  jannis

	* dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c, dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade:
	  Add "SOCKET ID" string to the --socket-id=SOCKET ID option.
	  Add embedding support to the mouse settings dialog.

2008-09-14 19:00  jannis

	* dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/main.c:
	  Add embedding support to the appearance settings dialog.

2008-09-14 18:55  jannis

	* dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/main.c:
	  Add embedding support to the accessibility settings dialog.

2008-09-14 18:43  jannis

	* dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c:
	  Add embedding support to the keyboard settings dialog.

2008-09-14 18:22  jannis

	* TODO, xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Use 2/3 of the screen width and height for the main settings
	  dialog or
	  fall back to a pre-defined minimum size of that's considered to
	  small.
	  This works better on my machine and should be ok for all
	  resolutions
	  starting at 800x600.
	  
	  Add support for embedding settings dialogs into
	  xfce4-settings-manager.
	  Update TODO with a few things that still need to be done.

2008-09-14 10:21  kelnos

	* NEWS:
	  update NEWS

2008-09-14 10:19  kelnos

	* configure.ac.in, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/main.c, xfce4-settings-helper/workspaces.c,
	  xfce4-settings-helper/workspaces.h:
	  add workspaces helper to set names of workspaces

2008-09-14 10:19  kelnos

	* xfce4-settings-helper/pointers.c:
	  silence gcc warning

2008-09-13 12:27  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation

2008-09-11 03:56  kelnos

	* dialogs/appearance-settings/appearance-dialog.glade, po/fi.po,
	  po/fr.po, po/nl.po, po/pt_BR.po, po/xfce4-settings.pot:
	  add more kbd accelerators

2008-09-10 11:03  kelnos

	* dialogs/appearance-settings/main.c:
	  don't use deprecated gtk_toggle_button_set_state()

2008-09-10 11:03  kelnos

	* autogen.sh:
	  update git svn revision fetch

2008-09-09 18:55  jannis

	* ChangeLog, dialogs/appearance-settings/main.c:
	  * dialogs/appearance-settings/main.c: Don't multiply the DPI
	  value with
	  1024. That should only be done for the XChangeProperty call (but
	  why?).
	  The current behaviour breaks xrdb badly (and thereby all Qt
	  apps).

2008-09-09 07:38  maximilian

	* po/ChangeLog, po/LINGUAS, po/fr.po:
	  Translations updates and new ones for trunk in es,fr,id

2008-09-08 22:32  jannis

	* ChangeLog, dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  * dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/keyboard-shortcuts.c: Fix the checks for
	  invalid
	  values when a property was removed (use G_VALUE_TYPE (value) !=
	  G_TYPE_INVALID instead of value != NULL).

2008-09-08 20:49  stephan

	* ChangeLog, po/POTFILES.in, xfce4-settings-editor/main.c:
	  Update ChangeLog
	  Update POTFILES.in
	  Fix Glib version requirement (xfce4-settings-editor was using
	  glib 2.16
	  specific api, package depends on 2.12)

2008-09-08 19:12  jannis

	* ChangeLog, dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts.c, po/ChangeLog,
	  po/fi.po, po/nl.po, po/pt_BR.po, po/xfce4-settings.pot,
	  xfce4-settings-helper/frap-shortcuts.c:
	  * dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  xfce4-settings-helper/frap-shortcuts.c: Sync with latest
	  changes made to libfrap (locally by now) and clean things up a
	  little.
	  * *.po, xfce4-settings.pot: Merge strings.

2008-09-08 11:25  nick

	* configure.ac.in, dialogs/keyboard-settings/frap-shortcuts.c,
	  xfce4-settings-helper/frap-shortcuts.c,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  * Use DBG macro.

2008-09-08 11:12  nick

	* configure.ac.in, dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/main.c, dialogs/mouse-settings/main.c,
	  xfce4-settings-helper/frap-shortcuts.c,
	  xfce4-settings-helper/pointers.c:
	  * Check for Xi 1.4 for the pointer code, make it compile on older
	  version.
	  * Fix some compile warnings.
	  * Check xi and libx11 versions to 1.0.0

2008-09-08 10:25  nick

	* dialogs/mouse-settings/main.c, xfce4-settings-helper/pointers.c:
	  * Disable pointer hotplugging on older Xi versions.

2008-09-08 10:06  nick

	* dialogs/keyboard-settings/frap-shortcuts.c,
	  xfce4-settings-helper/frap-shortcuts.c,
	  xfce4-settings-helper/keyboard-shortcuts.c,
	  xfce4-settings-helper/pointers.c:
	  * Disable the shortcuts debug output in release builds.

2008-09-08 08:42  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translations

2008-09-07 22:04  jannis

	* po/ChangeLog, po/POTFILES.in, po/fi.po, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  * POTFILES.in: Add missing files.
	  * *.po, xfce4-settings.pot: Merge new strings.

2008-09-07 21:59  jannis

	* ChangeLog, dialogs/keyboard-settings/frap-shortcuts-dialog.c:
	  * dialogs/keyboard-settings/frap-shortcuts-dialogs.c: Remove an
	  unused
	  variable.

2008-09-07 21:52  jannis

	* ChangeLog, dialogs/keyboard-settings/frap-shortcuts-dialog.c:
	  * dialogs/keyboard-settings/frap-shortcuts-dialog.c: Update the
	  dialog. It
	  now uses XfceTitledDialog as a parent and also displays the
	  partial
	  shortcut while being entered - cool!

2008-09-07 21:18  jannis

	* ChangeLog, dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/frap-shortcuts.h,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/frap-shortcuts.c,
	  xfce4-settings-helper/frap-shortcuts.h,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  * dialogs/keyboard-settings/frap-shortcuts.{c,h},
	  dialogs/keyboard-settings/frap-shortcuts.{c,h},
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/frap-shortcuts.{c,h}: Update to most recent
	  libfrap version.
	  * xfce4-settings-helper/keyboard-shortcuts.c: Port the keyboard
	  helper to
	  libfrap.

2008-09-07 18:23  jannis

	* ChangeLog, TODO, dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.c,
	  dialogs/keyboard-settings/frap-shortcuts-dialog.h,
	  dialogs/keyboard-settings/frap-shortcuts.c,
	  dialogs/keyboard-settings/frap-shortcuts.h,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.c,
	  dialogs/keyboard-settings/shortcut-dialog.h, po/ChangeLog,
	  po/POTFILES.in, po/fi.po, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  * dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/frap-shortcuts.{c,h},
	  dialogs/keyboard-settings/frap-shortcuts-dialog.{c,h},
	  dialogs/keyboard-settings/main.c: Import frap utility functions
	  and
	  shortcut dialog into xfce4-settings. Modify the keyboard settings
	  dialog
	  so that it makes use of them. Make even better use of the xfconf
	  'property-changed' signal by adding/removing rows from the
	  shortcuts tree
	  view when necessary.
	  * dialogs/keyboard-settings/shortcut-dialog.{c,h}: Remove this
	  one as it is
	  now replaced by FrapShortcutsDialog.
	  
	  * POTFILES.in: Add frap-shortcuts.c and frap-shortcuts-dialog.c.
	  * *.po, xfce4-settings.pot: Merge new strings.

2008-09-06 15:17  jari

	* po/ChangeLog, po/fi.po:
	  Update Finnish translation.

2008-09-06 14:37  jannis

	* ChangeLog, TODO, dialogs/keyboard-settings/main.c, po/ChangeLog,
	  po/nl.po, po/pt_BR.po, po/xfce4-settings.pot:
	  * dialogs/keyboard-settings/main.c: Add support for the
	  'property-changed' signal of the XfconfChannel. Update shortcuts
	  and
	  actions whenever a property changes. Improve conflict resolving,
	  shorten the dialog messages.
	  * TODO: Add some notes for the final release. n * *.po,
	  xfce4-settings.pot: Merge new strings, remove the old ones.

2008-09-06 10:26  jari

	* po/ChangeLog, po/LINGUAS, po/fi.po:
	  Add Finnish translation.

2008-09-06 08:59  stephan

	* configure.ac.in:
	  remove tag
	  Bump library dependency versions

2008-09-06 08:42  stephan

	* ChangeLog, configure.ac.in, xfce4-settings-helper/Makefile.am:
	  Fix make distcheck
	  Update ChangeLog
	  Remove -svn tag
	  Remove xfce 4.6 alpha tag

2008-09-06 08:12  stephan

	* xfce4-settings-editor/main.c:
	  Improve the settings-editor

2008-09-06 06:51  stephan

	* xfce4-settings-editor/main.c,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Modify xfce4-settings-editor to display all channels, and their
	  properties

2008-09-06 05:13  jannis

	* po/ChangeLog, po/nl.po, po/pt_BR.po, po/xfce4-settings.pot:
	  * *.po, xfce4-settings.pot: Merge new strings.

2008-09-06 05:10  jannis

	* ChangeLog, dialogs/keyboard-settings/main.c:
	  * dialogs/keyboard-settings/main.c: Add two new methods
	  keyboard_settings_request_confirmation() and
	  read_shortcut_property() for handling conflicts with xfwm4
	  shortcuts. Provide nice 'please choose between A and B' dialogs
	  in
	  case we are able to resolve these conflicts via xfconf. The same
	  dialogs are also going to appear in xfwm4. n

2008-09-05 23:27  jannis

	* ChangeLog, dialogs/keyboard-settings/main.c:
	  * dialogs/keyboard-settings/main.c: Don't accept empty
	  accelerator
	  names as shortcuts in keyboard_settings_validate_shortcut(). \n

2008-09-04 16:47  jannis

	* ChangeLog, autogen.sh:
	  * autogen.sh: Fix git svn revision versioning.

2008-08-31 23:48  jannis

	* ChangeLog, dialogs/keyboard-settings/shortcut-dialog.c,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  * dialogs/keyboard-settings/shortcuts-dialog.c,
	  xfce4-settings-helper/keyboard-shortcuts.c: Add two new functions
	  called get_modifier_masks() and get_ignore_mask(). The first
	  determines to which of the Mod2-Mod5 modifiers CapsLock, NumLock
	  and
	  ScrollLock are mapped and generates a modifier mask for them. The
	  latter combines this mask with the IGNORED_MODIFIERS mask which
	  we
	  already used before and which includes GDK_HYPER_MASK etc.. This
	  mask is then used in several places to avoid these modifiers to
	  appear in the result of gtk_accelerator_name() and to properly
	  grab
	  the shortcuts. This should fix bug #4304.

2008-08-31 13:38  jannis

	* ChangeLog, dialogs/keyboard-settings/shortcut-dialog.c:
	  * dialogs/keyboard-settings/shortcut-dialog.c: Ignore
	  GDK_SUPER_MASK, GDK_HYPER_MASK and GDK_META_MASK when parsing
	  key release events. xfce4-settings-helper handles X events
	  instead of Gdk events and unlike Gdk X doesn't know which
	  of the Super, Meta and Hyper keys are mapped to Mod2-Mod5.
	  Having <Super>, <Meta>, <Hyper> or even <Super>Super_L in the
	  accelerator name will cause the saved shortcut names to be
	  different than the ones generated by parsing X key events.
	  This should fix bug #4304 although I suppose it would be
	  nicer to determine which keys are mapped to Mod2-Mod5 when
	  parsing X key events from the semantic point of view.

2008-08-30 21:16  jannis

	* ChangeLog, dialogs/keyboard-settings/main.c:
	  * dialogs/keyboard-settings/main.c: Don't call gtk_widget_hide()
	  after creating the main dialog. This should fix bug #4335.

2008-08-30 09:35  kelnos

	* xfce4-settings-manager/main.c:
	  implement nick's suggestion to clamp the settings manager window
	  to a max size
	  
	  800x600 is pretty arbitrary; could probably use some tweaking...
	  or,
	  really, a much more complicated algorithm

2008-08-25 14:20  kelnos

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  fix typo

2008-08-25 14:04  kelnos

	* xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  improve initial dialog sizing -- do 2/3 the width and height of
	  the screen
	  
	  i'm not sure if this will look the best everwhere (esp on hi-res
	  screens),
	  but it works well on my laptop, and at least attempts to adapt to
	  different
	  screen sizes

2008-08-25 12:14  kelnos

	* dialogs/keyboard-settings/keyboard-dialog.glade,
	  xfce4-settings-helper/keyboards.c:
	  set some sensible defaults

2008-08-25 09:13  kelnos

	* xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/xfce4-settings-helper-autostart.desktop:
	  add autostart file for the settings helper

2008-08-25 09:12  kelnos

	* xfce4-settings-helper/Makefile.am:
	  no need for conditionals here...

2008-08-25 08:58  kelnos

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  * patch from nick to use normal cell renderers in the icon view,
	  and use
	  the icon name rather than a pixbuf
	  * set icon view selection mode to GTK_SELECTION_NONE to fix weird
	  theme
	  issues (bug 4305)

2008-08-25 08:58  kelnos

	* dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/xfce4-accessibility-settings.desktop.in,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/xfce-display-settings.desktop.in,
	  dialogs/mouse-settings/mouse-dialog.glade, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  tweak some strings

2008-08-25 02:45  kelnos

	* configure.ac.in, dialogs/accessibility-settings/Makefile.am,
	  dialogs/accessibility-settings/xfce4-accessibility-settings.desktop.in,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/appearance-settings/xfce-ui-settings.desktop.in,
	  dialogs/display-settings/Makefile.am,
	  dialogs/display-settings/xfce-display-settings.desktop.in,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/xfce-keyboard-settings.desktop.in,
	  dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/xfce-mouse-settings.desktop.in,
	  po/POTFILES.in, po/nl.po, po/pt_BR.po, po/xfce4-settings.pot,
	  xfce4-settings-editor/xfce4-settings-editor.desktop.in,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  look in normal .desktop dirs for settings manager items, fix some
	  strings

2008-08-25 00:49  kelnos

	* dialogs/appearance-settings/Makefile.am,
	  dialogs/appearance-settings/xfce-ui-settings.desktop.in,
	  dialogs/appearance-settings/xfce4-appearance-settings.desktop.in,
	  dialogs/display-settings/Makefile.am,
	  dialogs/display-settings/xfce-display-settings.desktop.in,
	  dialogs/display-settings/xfce4-display-settings.desktop.in,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce-keyboard-settings.desktop.in,
	  dialogs/keyboard-settings/xfce4-keyboard-settings.desktop.in,
	  dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  dialogs/mouse-settings/xfce-mouse-settings.desktop.in,
	  dialogs/mouse-settings/xfce4-mouse-settings.desktop.in:
	  rename .desktop files to use current names, fix a string or two
	  
	  ("Behaviour" is for en_GB, guys)

2008-08-17 21:35  stephan

	* configure.ac.in:
	  Bump version number

2008-08-17 21:33  stephan

	* configure.ac.in:
	  Bump version number
	  X

2008-08-17 18:38  nick

	* ChangeLog, po/POTFILES.in, po/nl.po, po/pt_BR.po,
	  po/xfce4-settings.pot:
	  * xfce4-settings-editor/Makefile.am,
	  po/POTFILES.in: Fix distcheck.
	  * po/: Regenerate po files.

2008-08-17 18:05  nick

	* ChangeLog, dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/main.c,
	  dialogs/display-settings/xfce-randr-legacy.c,
	  dialogs/display-settings/xfce-randr.c:
	  * dialogs/display-settings/: Disable randr 1.2 support
	  for pinky release.

2008-08-17 17:42  stephan

	* po/nl.po, po/pt_BR.po, po/xfce4-settings.pot:
	  Update po-files

2008-08-17 07:12  stephan

	* po/POTFILES.in, xfce4-settings-editor/Makefile.am,
	  xfce4-settings-editor/main.c:
	  Fix make distcheck

2008-08-02 14:32  nick

	* xfce4-settings-editor/main.c:
	  * Remove unused vars.

2008-07-28 18:08  stephan

	* xfce4-settings-editor/main.c:
	  Fix segfault

2008-07-27 23:19  stephan

	* Makefile.am, configure.ac.in, xfce4-settings-editor,
	  xfce4-settings-editor/Makefile.am, xfce4-settings-editor/main.c,
	  xfce4-settings-editor/xfce4-settings-editor.desktop.in,
	  xfce4-settings-editor/xfce4-settings-editor.glade:
	  Add xfce4-settings-editor (shows properties of pre-set channels)

2008-07-27 21:52  nick

	* ChangeLog, dialogs/mouse-settings/main.c:
	  * dialogs/mouse-settings/main.c: Always save the RightHand
	  property, because the deamon uses that property to detect
	  a device. Use a static property string size. Default for
	  ReverseScrolling is FALSE.
	  Those changes fix a bug where an added device was not
	  restored property.

2008-07-27 21:33  nick

	* ChangeLog, configure.ac.in, dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/main.c, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/pointers.c:
	  * configure.ac.in, dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/Makefile.am,
	  xfce4-settings-helper/pointers.c,
	  xfce4-settings-helper/Makefile.am: Drop HAL dependency
	  and use Xevent for monitoring device changes.

2008-07-27 05:34  jannis

	* ChangeLog, dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/keyboard-shortcuts.c:
	  * dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/keyboard-shortcuts.c: Use
	  xfconf_channel_get_properties() instead of
	  xfconf_channel_get_all().

2008-07-27 02:07  kelnos

	* configure.ac.in:
	  bump xfconf required version so stephan or jannis updates the
	  keyboard plugin
	  for the new api

2008-07-26 10:58  stephan

	* dialogs/display-settings/Makefile.am:
	  Fix typo in makefile

2008-07-25 23:20  nick

	* ChangeLog, configure.ac.in, dialogs/display-settings/Makefile.am,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/main.c,
	  dialogs/display-settings/xfce-randr-legacy.c,
	  dialogs/display-settings/xfce-randr-legacy.h,
	  dialogs/display-settings/xfce-randr.c,
	  dialogs/display-settings/xfce-randr.h,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/displays.c:
	  First commit with legacy code working (randr < 1.2). Randr
	  1.2 code disabled for now.
	  
	  * xfce4-settings-helper/Makefile.am,
	  configure.ac.in: Depend on randr 1.1 and remove xxf86vm.
	  * dialogs/display-settings/xfce-randr-legacy.c,
	  dialogs/display-settings/xfce-randr-legacy.h: Lagecy backend.
	  This is used when compiled with randr < 1.2, when the drivers
	  is not really randr 1.2 or when there are more then one screen
	  on the default display.
	  * dialogs/display-settings/xfce-randr.c,
	  dialogs/display-settings/xfce-randr.h: Randr 1.2 code, not
	  working yet. Disabled it for the moment.
	  * dialogs/display-settings/main.c: Updates.
	  * dialogs/display-settings/Makefile.am: Add new files.
	  * xfce4-settings-helper/displays.c: Make legacy randr
	  code work.
	  * dialogs/display-settings/display-dialog.glade: Updates.

2008-07-19 06:47  nick

	* ChangeLog, dialogs/mouse-settings/mouse-dialog.glade:
	  * dialogs/mouse-settings/mouse-dialog.glade: Simplify packing
	  of the widgets, like we do in the other dialogs.

2008-07-19 06:38  nick

	* ChangeLog, dialogs/mouse-settings/main.c,
	  xfce4-settings-helper/pointers.c:
	  * dialogs/mouse-settings/main.c,
	  xfce4-settings-helper/pointers.c:
	  Remove the notification. Not a good idea since it also shows
	  after suspend.

2008-07-18 23:35  nick

	* ChangeLog, dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c:
	  * dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/keyboard-dialog.glade: Set default
	  window width in the glade file, not in the code.

2008-07-18 23:27  nick

	* ChangeLog, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/accessibility.c,
	  xfce4-settings-helper/displays.c,
	  xfce4-settings-helper/displays.h,
	  xfce4-settings-helper/keyboards.c, xfce4-settings-helper/main.c,
	  xfce4-settings-helper/pointers.c:
	  * xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/main.c,
	  xfce4-settings-helper/keyboards.c/h: Add basic gobject stuff.
	  * xfce4-settings-helper/accessibility.c,
	  xfce4-settings-helper/keyboards.c,
	  xfce4-settings-helper/pointers.c: Fix some indentation.

2008-07-18 19:47  nick

	* xfce4-settings-helper/main.c:
	  * Shouldn't be committed...

2008-07-18 19:43  nick

	* ChangeLog, configure.ac.in,
	  dialogs/keyboard-settings/command-dialog.h,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/accessibility.c,
	  xfce4-settings-helper/keyboards.c, xfce4-settings-helper/main.c,
	  xfce4-settings-helper/pointers.c:
	  * configure.ac.in, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/keyboards.c: Drop libxxf86misc dependency.
	  Xkb can do all this, it's not needed anymore and already
	  removed from Xorg git master.
	  * dialogs/keyboard-settings/keyboard-dialog.glade: Show the
	  slider
	  values, add tooltips and change the slider ranges a bit.
	  * dialogs/keyboard-settings/main.c: Set default window size width
	  to
	  400px instead on in the glade code.
	  * xfce4-settings-helper/pointers.c,
	  xfce4-settings-helper/keyboards.c,
	  xfce4-settings-helper/accessibility.c: Property push and trap
	  x errors.

2008-07-18 16:44  nick

	* ChangeLog, TODO, configure.ac.in, xfce4-settings-helper/main.c:
	  * xfce4-settings-helper/main.c, configure.ac.in: Properly quit
	  the main loop when a signal is received.

2008-07-18 14:48  nick

	* ChangeLog, dialogs/mouse-settings/main.c:
	  * dialogs/mouse-settings/main.c: Allow editing the display name
	  of the device in the dialog. This way users can set usable names
	  for devices that are plugged.

2008-07-18 13:53  nick

	* ChangeLog, dialogs/mouse-settings/main.c:
	  * dialogs/mouse-settings/main.c: Change option values string.
	  mouse device is added. Notification has a button to open

2008-07-18 13:50  nick

	* ChangeLog, dialogs/mouse-settings/main.c,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/pointers.c:
	  * dialogs/mouse-settings/main.c,
	  xfce4-settings-helper/pointers.c,
	  xfce4-settings-helper/Makefile.am: Show a notification when a
	  mouse device is added. Notifications has a button to open
	  the settings dialog, which will select the new device (if
	  possible).

2008-07-18 11:34  nick

	* ChangeLog, dialogs/mouse-settings/main.c:
	  * dialogs/mouse-settings/main.c: Properly fix previous commit.
	  Also
	  make the code more readable.

2008-07-18 11:23  nick

	* ChangeLog, dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c, dialogs/mouse-settings/main.c:
	  * dialogs/mouse-settings/main.c,
	  dialogs/appearance-settings/main.c:
	  Escape the tooltip string, since Gtk+ 2.12 tree tooltips support
	  markup which results in errors with tips like <default pointer>.
	  * dialogs/keyboard-settings/main.c: Drop unused variables.

2008-07-18 10:30  nick

	* ChangeLog,
	  dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/main.c,
	  dialogs/accessibility-settings/xfce4-accessibility-settings.desktop.in,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/xfce4-appearance-settings.desktop.in,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/xfce4-display-settings.desktop.in,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/xfce4-keyboard-settings.desktop.in,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  dialogs/mouse-settings/xfce4-mouse-settings.desktop.in,
	  xfce4-settings-helper/accessibility.c:
	  * xfce4-settings-helper/accessibility.c: Improve the code a bit
	  and calculate the max_speed and time_to_max using the interval,
	  so the user can set a speed in pixels/sec and time in msec.
	  * dialogs/accessibility-settings/accessibility-dialog.glade:
	  Redesign
	  the dialog so you can see the values.
	  * dialogs/display-settings/xfce4-display-settings.desktop.in,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/xfce4-accessibility-settings.desktop.in,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  dialogs/mouse-settings/xfce4-mouse-settings.desktop.in,
	  dialogs/appearance-settings/xfce4-appearance-settings.desktop.in,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/keyboard-settings/xfce4-keyboard-settings.desktop.in,
	  dialogs/keyboard-settings/keyboard-dialog.glade: Synchronize the
	  dialog's sub title and .desktop comment, same for the generic
	  name
	  and window title.

2008-07-18 00:28  jannis

	* ChangeLog, TODO, dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.c:
	  * dialogs/keyboard-settings/main.c: Fix some issues with multiple
	  row
	  selection in the shortcuts tree view. Properly destroy the
	  command
	  dialog when adding a new command but pressing the cancel button
	  in
	  the command dialog.
	  * dialogs/keyboard-settings/shortcut-dialog.c: Remove the "No
	  shortcut" button as we don't support empty shortcut properties
	  anyway.

2008-07-17 18:19  nick

	* ChangeLog, configure.ac.in,
	  dialogs/accessibility-settings/Makefile.am,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/display-settings/Makefile.am,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/mouse-settings/Makefile.am:
	  * dialogs/display-settings/Makefile.am,
	  dialogs/accessibility-settings/Makefile.am,
	  dialogs/mouse-settings/Makefile.am,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/keyboard-settings/Makefile.am: Add --strip-comments
	  --strip-content to exo-csource for generating glade headers.
	  * configure.ac.in: Bump exo version to 0.3.7.1 since stripping
	  glade files on older versions is broken.

2008-07-17 15:25  jannis

	* ChangeLog, dialogs/keyboard-settings/command-dialog.c:
	  * dialogs/keyboard-settings/command-dialog.c: Make entry activate
	  the
	  default widget of the dialog. Make GTK_RESPONSE_OK the default
	  dialog response.

2008-07-16 23:14  jannis

	* ChangeLog,
	  dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade:
	  * dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade: Make all dialogs use
	  consistent borders/paddings/distances etc. again. Please keep it
	  this way when adding new dialogs/widgets.
	  * dialogs/accesibility-settings/main.c,
	  dialogs/keyboard-settings/main.c: Destroy GladeXML after the
	  dialog
	  is destroyed.

2008-07-16 20:33  nick

	* ChangeLog, TODO, dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/images.h,
	  dialogs/appearance-settings/main.c,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/main.c,
	  dialogs/keyboard-settings/command-dialog.c,
	  dialogs/keyboard-settings/command-dialog.h,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.c,
	  dialogs/keyboard-settings/shortcut-dialog.h,
	  dialogs/mouse-settings/main.c, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/accessibility.c,
	  xfce4-settings-helper/accessibility.h,
	  xfce4-settings-helper/accessx.c, xfce4-settings-helper/accessx.h,
	  xfce4-settings-helper/keyboard-shortcuts.c,
	  xfce4-settings-helper/keyboard-shortcuts.h,
	  xfce4-settings-helper/keyboards.c,
	  xfce4-settings-helper/keyboards.h, xfce4-settings-helper/main.c,
	  xfce4-settings-helper/pointers.c,
	  xfce4-settings-helper/pointers.h, xfce4-settings-helper/xkb.c,
	  xfce4-settings-helper/xkb.h, xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.h:
	  * Mv xfce4-settings-helper/xkb.*
	  xfce4-settings-helper/keyboards.*:
	  Rename the files and change the internal names too. Settings
	  channel name renamed from 'xkb' to 'keyboards'.
	  * Mv xfce4-settings-helper/accessx.*
	  xfce4-settings-helper/accessibility.*:
	  Rename the files and change the internal names too. Settings
	  channel name renamed from 'accessx' to 'accessibility'.
	  * xfce4-settings-helper/pointers.c: Rename the channel name from
	  'devices' to 'pointers'.
	  * dialogs/keyboard-settings/main.c: Cleanup code.
	  * dialogs/accessibility-settings/main.c: Cleanup code.
	  * TODO: Add some stuff we need to take a look at.
	  * dialogs/display-settings/: Update glade file and add a bit more
	  code.
	  * *.c, *.h: Add svn:keywords Id on all the source files and add
	  $Id$
	  where needed. Various other small changes to make to changes
	  above work.

2008-07-16 19:59  jannis

	* ChangeLog, xfce4-settings-helper/accessx.c,
	  xfce4-settings-helper/xkb.c:
	  * xfce4-settings-helper/accessx.c, xfce4-settings-helper/xkb.c:
	  Call
	  XkbFreeControls prior to XkbFree. This should fix two memory
	  leaks
	  and hopefully doesn't break anything.

2008-07-16 19:48  jannis

	* dialogs/keyboard-settings/shortcut-dialog.c:
	  Remove debug message.

2008-07-16 19:45  jannis

	* TODO:
	  Update TODO. Keyboard settings are finished (more or less).

2008-07-16 19:44  jannis

	* ChangeLog, dialogs/keyboard-settings/main.c:
	  * dialogs/keyboard-settings/main.c: Save property when a new
	  shortcut
	  is created.
	  * dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/command-dialog.c: Fix compilation.

2008-07-16 19:44  jannis

	* ChangeLog, xfce4-settings-helper/keyboard-shortcuts.c:
	  * xfce4-settings-helper/keyboard-shortcuts.c: Connect to the
	  "property-changed" signal of the XfconfChannel. Ungrab keys when
	  a
	  property is removed and grab keys when a new property is added.
	  Update the shortcuts -> command hash table according to the
	  changes.

2008-07-16 17:45  nick

	* ChangeLog, dialogs/keyboard-settings/command-dialog.c,
	  dialogs/keyboard-settings/main.c:
	  * dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/command-dialog.c: Fix compilation.

2008-07-15 23:00  jannis

	* TODO:
	  Update the TODO.

2008-07-15 22:58  jannis

	* ChangeLog:
	  * dialogs/keyboard-settings/keyboard-dialog.glade: In the last
	  commit
	  I forgot to mention that I've removed the keyboard theme stuff
	  from
	  the dialog because this would be too complicated to implement
	  before
	  the release.

2008-07-15 22:57  jannis

	* ChangeLog, dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/command-dialog.c,
	  dialogs/keyboard-settings/command-dialog.h,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.c,
	  dialogs/keyboard-settings/shortcut-dialog.h:
	  * dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/command-dialog{c,h},
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.{c,h}: Add command
	  dialog
	  for entering/selecting a command for a shortcut. Finally
	  implement
	  the button for adding a new shortcut. Editing both, shortcuts and
	  commands also works now. I might have to tweak the command dialog
	  a
	  little so the file chooser behaves similar to the panel launcher
	  dialog. The last thing really missing now is that the
	  xfce4-settings-helper refreshes itself when a shortcut is
	  changed/removed/added.

2008-07-15 20:33  nick

	* ChangeLog, dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/main.c:
	  * dialogs/display-settings/main.c: Read the gamma settings,
	  free the xrandr screen info and usse permissions when reading
	  from xf86vmode.

2008-07-15 19:52  nick

	* ChangeLog:
	  * Tralalaalalala

2008-07-15 19:48  nick

	* ChangeLog, configure.ac.in:
	  * configure.ac.in: Show if Xf86misc was found.

2008-07-15 19:39  nick

	* ChangeLog, xfce4-settings-helper/keyboard-shortcuts.c,
	  xfce4-settings-helper/main.c, xfce4-settings-helper/xkb.c:
	  * xfce4-settings-helper/keyboard-shortcuts.c: Make it compile
	  here.
	  * xfce4-settings-helper/xkb.c: Avoid vision by zerro.

2008-07-15 10:25  jannis

	* ChangeLog, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/keyboard-shortcuts.c,
	  xfce4-settings-helper/keyboard-shortcuts.h,
	  xfce4-settings-helper/main.c:
	  * xfce4-settings-helper/keyboard-shortcuts{c,h},
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/main.c: Add support for keyboard shortcuts.
	  Shortcuts are loaded, passive keyboard grabs are performed and
	  events with different modifier combinations are handled. The code
	  related to modifiers might not be sane, but it works quite well
	  here, even with changes made in .Xmodmap. I'd be curious to know
	  what happens if you change the keymap at runtime though.
	  xfce4-settings-helper/main.c: Add same and improved error
	  * xfce4-settings-helper/accessx.c,
	  * dialogs/keyboard-settings/main.c,
	  loading, saving, modifying and removing shortcuts. Not
	  supported yet: Adding new ones.
	  * AUTHORS: I took the liberty to add my name here.
	  * xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  toplevel boxes inside notebooks to 12px for the sake of
	  * dialogs/keyboard-settings/keyboard-dialog.glade: Same

2008-07-14 19:35  nick

	* ChangeLog, TODO, configure.ac.in, dialogs/Makefile.am,
	  dialogs/display-settings/Makefile.am,
	  dialogs/display-settings/display-dialog.glade,
	  dialogs/display-settings/main.c,
	  dialogs/display-settings/xfce4-display-settings.desktop.in,
	  dialogs/mouse-settings/main.c:
	  * dialogs/display-settings/, dialogs/Makefile.am,
	  configure.ac.in: Initial import of the display
	  dialog code. Some basic stuff is working, but
	  not finished yet.
	  * dialogs/mouse-settings/main.c: Set display name
	  as tooltip to make ellipsized string readable
	  with resizing the dialog.
	  * TODO: Update.

2008-07-13 19:28  nick

	* xfce4-settings-manager/main.c:
	  * Missed a space...

2008-07-13 19:24  nick

	* ChangeLog, Makefile.am, configure.ac.in, dialogs/Makefile.am,
	  dialogs/accessibility-settings/Makefile.am,
	  dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/main.c,
	  dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/main.c, xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/main.c, xfce4-settings-manager/Makefile.am,
	  xfce4-settings-manager/main.c:
	  * xfce4-settings-manager/Makefile.am,
	  dialogs/accessibility-settings/Makefile.am,
	  dialogs/mouse-settings/Makefile.am, dialogs/Makefile.am,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/keyboard-settings/Makefile.am,
	  xfce4-settings-helper/Makefile.am: Make all the make files look
	  the same. Add LDFLAGS and G_LOG_DOMAIN. Add PLATFORM_CPPFLAGS
	  for the CFLAGS used for debugging.
	  * xfce4-settings-manager/main.c,
	  dialogs/accessibility-settings/main.c,
	  dialogs/mouse-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c, xfce4-settings-helper/main.c:
	  Use the G_LOG_DOMAIN for the version info and init error.
	  Add the Xfce version to the version information.
	  * Set svn:keywords Id on all the make files and configure.ac.in.

2008-07-13 18:36  nick

	* ChangeLog, configure.ac.in,
	  dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c, dialogs/mouse-settings/main.c,
	  xfce4-settings-helper/main.c, xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  * xfce4-settings-manager/main.c: Add basic version information
	  and gtk_init error. Destroy dialog after running it.
	  * xfce4-settings-manager/xfce-settings-manager-dialog.c: Free
	  the icon string.
	  * dialogs/accessibility-settings/main.c,
	  dialogs/mouse-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/main.c: Don't include <stdio.h>. Duno why I
	  did
	  that.

2008-07-13 17:49  nick

	* ChangeLog, dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c, dialogs/mouse-settings/main.c,
	  xfce4-settings-helper/main.c:
	  * dialogs/accessibility-settings/main.c,
	  dialogs/mouse-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/main.c: Add same ad improved error
	  messages and version information.

2008-07-13 15:24  nick

	* ChangeLog, dialogs/keyboard-settings/main.c:
	  * dialogs/keyboard-settings/main.c: Fix code. Thought I saved it,
	  but I didn't...

2008-07-13 15:17  nick

	* ChangeLog:
	  * Add some things I forgot in the changelog from my previous
	  commit.

2008-07-13 15:14  nick

	* ChangeLog, TODO, configure.ac.in,
	  dialogs/keyboard-settings/main.c,
	  dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/accessx.c, xfce4-settings-helper/accessx.h,
	  xfce4-settings-helper/main.c, xfce4-settings-helper/pointers.c,
	  xfce4-settings-helper/pointers.h, xfce4-settings-helper/xkb.c,
	  xfce4-settings-helper/xkb.h:
	  * dialogs/mouse-settings/mouse-dialog.glade,
	  dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/Makefile.am,
	  xfce4-settings-helper/pointers.h,
	  xfce4-settings-helper/pointers.c: Merge multi pointer
	  branch code.
	  * dialogs/keyboard-settings/main.c: Release the channels
	  after running the dialog.
	  * xfce4-settings-helper/accessx.c,
	  xfce4-settings-helper/accessx.h,
	  xfce4-settings-helper/xkb.c,
	  xfce4-settings-helper/xkb.h: Move code into objects. Will
	  make things look nice and allows the code to cleanup when
	  the objects are released in main.c.
	  * xfce4-settings-helper/main.c: Use the objects and do some
	  more checking before running the dialog.
	  * xfce4-settings-helper/accessx.c: Make disabling the mouse
	  keys work; don't call channel_get functions when not needed.
	  * dialogs/keyboard-settings/main.c: Release the channels after
	  running the dialog, also destroy the dialog after using it.

2008-07-12 09:58  nick

	* TODO:
	  * Add my mouse todo items

2008-07-11 19:12  nick

	* ChangeLog, dialogs/mouse-settings/mouse-dialog.glade:
	  * dialogs/mouse-settings/mouse-dialog.glade: Add some tooltips
	  so people have a clue what the sliders actually do.

2008-07-11 19:05  nick

	* ChangeLog, dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.c:
	  * dialogs/appearance-settings/main.c: Some code cleanups and
	  plug a stupid leak.
	  * dialogs/appearance-settings/appearance-dialog.glade: Redesign
	  the dialog a bit, a notebook inside a notebook is not practical.
	  * dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.c: Fix includes to make
	  it compile.

2008-07-11 10:07  jannis

	* ChangeLog, TODO:
	  * TODO: Add TODO file and fill it with the stuff that's still
	  missing in the keyboard settings.

2008-07-10 15:55  nick

	* ChangeLog, dialogs/appearance-settings/Makefile.am,
	  dialogs/appearance-settings/images.h,
	  dialogs/appearance-settings/main.c:
	  * dialogs/appearance-settings/images.h,
	  dialogs/appearance-settings/main.c,
	  dialogs/appearance-settings/Makefile.am: Add rgba images
	  to the combobox, like in 4.4.

2008-07-10 10:14  jannis

	* ChangeLog, dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.c,
	  dialogs/keyboard-settings/shortcut-dialog.h:
	  * dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/shortcut-dialog.{c,h}:
	  Revamped the dialog a bit. Add dialog widget for entering
	  shortcuts. Rewrite the settings dialog and add support for
	  loading, saving, modifying and removing shortcuts. Not
	  supported yet: Adding new ones.
	  * dialogs/appearance-settings/main.c: Load icon themes properly.

2008-07-06 21:04  nick

	* ChangeLog:
	  * Cursor theme, not icon theme

2008-07-06 20:56  nick

	* ChangeLog, dialogs/mouse-settings/main.c:
	  * dialogs/mouse-settings/main.c: Bring support for the
	  default icon theme back.

2008-07-03 19:04  nick

	* ChangeLog, dialogs/appearance-settings/main.c:
	  * dialogs/appearance-dialog/main.c: Only add the icon theme
	  to the check list when it's actually added to the store.
	  Revert strcmp to g_utf8_collate. Strip trailing spaces.
	  
	  Both fixes where mentioned by Jannis, thanks for that.

2008-07-03 18:41  nick

	* dialogs/appearance-settings/main.c:
	  * Fix typo.

2008-07-03 18:35  nick

	* ChangeLog, dialogs/appearance-settings/main.c:
	  * dialogs/appearance-dialog/main.c: Use a similar function
	  for loading ui themes as icon themes. Add a list in both
	  theme load functions to avoid dupplicates. Read extra ui
	  theme information from the index.theme file if available.
	  Store the theme name (folder name) and display name separatly
	  in the store, authors can define another theme name in the
	  index.theme file which will result in settings a theme
	  that is not recognized by Gtk. Use hicolor as default icon
	  theme name. Fix the icon theme directory that was pushed
	  (its $datadir/icons, not $datadir/xfce4/icons).

2008-07-03 17:46  nick

	* ChangeLog, dialogs/appearance-settings/main.c:
	  * dialogs/appearance-dialog/main.c: Fix indentation of Jannis'
	  code to match the rest. Add Icon theme comments in the list
	  for Gtk 2.12. Make some strings static and merge the
	  selection_changed functions into one. Plug some leaks.

2008-07-02 22:45  jannis

	* ChangeLog, dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/main.c:
	  * dialogs/appearance-dialog/main.c: Sort user interface and
	  icon themes. Use the only column (0) for searching.

2008-07-02 22:35  jannis

	* AUTHORS, ChangeLog, dialogs/appearance-settings/main.c:
	  * dialogs/appearance-dialog/main.c: Load icon themes properly.
	  I used some of the code from the old mcs ui plugin.
	  * AUTHORS: I took the liberty to add my name here.

2008-07-02 21:17  stephan

	* dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/main.c:
	  Applied patch from Nick (Bug #4192) to improve the
	  appearance-settings
	  dialog

2008-07-02 19:32  nick

	* ChangeLog:
	  * ChangeLog: Fix email. Using an US keyboard
	  with GB layout is not working...

2008-07-01 20:46  nick

	* ChangeLog,
	  dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade:
	  * dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade: Make labels next
	  to the sliders small italic, like in Xfwm4; Make mnemonic widgets
	  work and some a buch of new ones where possible/suitable; Fix
	  case usage in labels.

2008-07-01 19:46  nick

	* ChangeLog, dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/main.c:
	  * dialogs/mouse-settings/main.c: Destroy the dialog on exit
	  and Xfce4-mouse-settings in the version information.
	  * dialogs/mouse-settings/Makefile.am: Add the G_LOG_DOMAIN
	  for glib warnings, errors and messages in the code.

2008-06-29 21:49  stephan

	* dialogs/mouse-settings/main.c:
	  Fix credits

2008-06-29 21:13  stephan

	* configure.ac.in, dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade:
	  Applied patch from Nick to improve the mouse-dialog

2008-06-29 12:31  jannis

	* ChangeLog, xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  * xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  Add 6px border to the scrolled window in order to align it
	  with the dialog buttons.
	  * xfce4-settings-manager/xfce-settings-manager-dialog.c: Dialog

2008-06-29 12:31  jannis

	* ChangeLog,
	  dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade:
	  * dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade: Change border of
	  toplevel boxes inside notebooks to 12px for the sake of
	  consistency (thunar does the same). Add bottom padding of
	  alignments below section titles to 6px.

2008-06-29 12:11  nick

	* ChangeLog, dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c,
	  xfce4-settings-manager/xfce-settings-manager.desktop.in:
	  * xfce4-settings-manager/xfce-settings-manager-dialog.c Dialog
	  default size is 600x400px; Changed window icon name to
	  preferences-desktop instead of xfce4-settings, since that's
	  the default icon name; Don't show the dialog separator.
	  Scrolled window shadow is GTK_SHADOW_IN.
	  * xfce4-settings-manager/xfce-settings-manager.desktop.in:
	  Changed
	  Exec to xfce4-settings-manager.
	  * dialogs/appearance-settings/appearance-dialog.glade: Make
	  window
	  resizable; Put hinting and rgb widgets in a table for proper
	  scaling.
	  * dialogs/mouse-settings/mouse-dialog.glade: Expand the icon
	  theme
	  list, not the size/preview widget.
	  * dialogs/mouse-settings/main.c: Fix compiler warnings.

2008-06-28 23:02  jannis

	* ChangeLog,
	  dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade:
	  * dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/mouse-settings/mouse-dialog.glade: Change maximum
	  border width of all boxes to 6 in order to align the toplevel
	  boxes with the dialog buttons. Update the mouse dialog in
	  the same way as I did with the others before.

2008-06-28 22:42  jannis

	* ChangeLog, dialogs/keyboard-settings/keyboard-dialog.glade:
	  * dialogs/keyboard-settings/keyboard-dialog.glade: Same
	  procedure as before.

2008-06-28 22:28  jannis

	* ChangeLog,
	  dialogs/accessibility-settings/accessibility-dialog.glade:
	  * dialogs/accessibility-settings/accessibility-dialog.glade:
	  Same here. Maybe I should also mention that all these dialogs
	  now use XfceTitledDialog instead of GtkDialog and XfceHeading.

2008-06-28 22:18  jannis

	* ChangeLog, dialogs/appearance-settings/appearance-dialog.glade:
	  * dialogs/appearance-settings/appearance-dialog.glade: Improve
	  the dialog layout. I've chosen 12px for horizontal distance
	  and 6px for horizontal distance between neighboured widgets.
	  All boxes now have a border of 10px expect for those inside
	  notebooks+alignments: they now have a border of 6px.

2008-06-26 01:38  omaciel

	* po/ChangeLog, po/LINGUAS, po/pt_BR.po:
	  Added Brazilian Portuguese translation

2008-06-25 21:04  stephan

	* dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade:
	  Applied patch from Mike Massonnet to fox the
	  mouse-settings-dialog

2008-06-22 18:23  kelnos

	* configure.ac.in, po/POTFILES.in, po/nl.po, po/xfce4-settings.pot,
	  po/xfce4_settings.pot, xfce4-settings-manager/Makefile.am,
	  xfce4-settings-manager/xfce-settings-manager.desktop.in,
	  xfce4-settings-manager/xfce4-settings-manager.desktop.in:
	  fix autotools package name ('_' -> '-'), fix settings manager
	  .desktop file

2008-06-22 08:05  stephan

	* xfce4-settings-manager/xfce4-settings-manager.desktop.in:
	  Add .desktop.in file (oops)

2008-06-22 07:54  stephan

	* Makefile.am, dialogs/accessibility-settings/Makefile.am,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/mouse-settings/Makefile.am, po/POTFILES.in,
	  xfce4-settings-manager/Makefile.am:
	  Add desktop file for xfce4-settings-manager
	  Fix make distcheck

2008-06-21 22:27  stephan

	* dialogs/accessibility-settings/Makefile.am,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/mouse-settings/Makefile.am:
	  Fix install paths of .desktop-files

2008-06-21 17:14  stephan

	* po/xfce4_settings.pot:
	  Add .pot file

2008-06-21 13:41  stephan

	* po/nl.po:
	  Improve a few lines in the dutch translation

2008-06-21 13:34  stephan

	* AUTHORS, po/nl.po:
	  Update AUTHORS file
	  Update Dutch translation

2008-06-21 12:31  stephan

	* po/nl.po:
	  Fix accelerators

2008-06-21 12:30  stephan

	* po/POTFILES.in, po/nl.po:
	  Update POTFILES.in
	  Update .po files

2008-06-21 12:23  stephan

	* dialogs/accessibility-settings/Makefile.am,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/mouse-settings/Makefile.am:
	  Fix install-path of settings-dialogs .desktop files

2008-06-21 12:14  stephan

	* po/POTFILES.in, po/nl.po, xfce4-settings-helper/xkb.c:
	  Make sure xfce4-settings-helper helps with the settings :-p
	  Update Dutch translation

2008-06-21 11:29  stephan

	* dialogs/accessibility-settings/main.c:
	  Improve 'show' behaviour of accessibility dialog

2008-06-21 11:24  stephan

	* dialogs/display-settings,
	  dialogs/keyboard-settings/keyboard-dialog.glade, po/nl.po,
	  xfce4-settings-helper/main.c, xfce4-settings-helper/xkb.c:
	  Fix the keyrepeat-stuff

2008-06-21 09:06  stephan

	* dialogs/accessibility-settings/Makefile.am,
	  dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/main.c,
	  dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade, po/ChangeLog,
	  po/LINGUAS, po/POTFILES.in, po/nl.po:
	  Make dialogs translatable
	  Add Dutch translation

2008-06-20 05:35  stephan

	* dialogs/appearance-settings/main.c:
	  Cleanup some allocs

2008-06-19 17:02  stephan

	* INSTALL, dialogs/appearance-settings/valgrind-log,
	  po/.intltool-merge-cache, po/POTFILES.in:
	  Remove some files which were added accidentally
	  Add some filenames to POTFILES.in

2008-06-19 08:18  kelnos

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  sort icons in view

2008-06-19 08:17  kelnos

	* configure.ac.in, xfce4-settings-manager/Makefile.am,
	  xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  use ExoIconView instead (single-click activate) and pack it in a
	  scrolled win

2008-06-19 08:17  kelnos

	* xfce4-settings-manager/xfce-settings-manager-dialog.c:
	  first try the X-XfceSettingsName key in the .desktop file for
	  compactness

2008-06-16 05:46  stephan

	* dialogs/accessibility-settings/main.c,
	  dialogs/appearance-settings/main.c,
	  dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/accessx.c, xfce4-settings-helper/main.c,
	  xfce4-settings-helper/xkb.c, xfce4-settings-helper/xkb.h:
	  Compile with --enable-debug=full

2008-06-16 04:59  kelnos

	* Makefile.am, configure.ac.in, xfce4-settings-manager,
	  xfce4-settings-manager/Makefile.am,
	  xfce4-settings-manager/main.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.c,
	  xfce4-settings-manager/xfce-settings-manager-dialog.h:
	  first cut at a settings manager -- needs some work

2008-06-16 04:58  kelnos

	* autogen.sh:
	  +x for autogen, better way to get svn rev from git-svn

2008-06-15 22:10  stephan

	* dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/accessx.c, xfce4-settings-helper/main.c,
	  xfce4-settings-helper/xkb.c, xfce4-settings-helper/xkb.h:
	  Add xkb stuff (for repeat-delay and repeat-rate)... doesn't quite
	  work yet
	  Improve keyboard-dialog

2008-06-15 21:18  stephan

	* COPYING, dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c:
	  Fix some kb-settings
	  Make the damn COPYING file contain GPL-v2

2008-06-15 19:33  stephan

	* dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/main.c,
	  xfce4-settings-helper/accessx.c:
	  Add mouse-keys support
	  Accessibility-dialog now sets the accessibility settings

2008-06-15 09:39  stephan

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, README,
	  autogen.sh, configure.ac.in, dialogs, dialogs/Makefile.am,
	  dialogs/accessibility-settings,
	  dialogs/accessibility-settings/Makefile.am,
	  dialogs/accessibility-settings/accessibility-dialog.glade,
	  dialogs/accessibility-settings/main.c,
	  dialogs/accessibility-settings/xfce4-accessibility-settings.desktop.in,
	  dialogs/appearance-settings,
	  dialogs/appearance-settings/Makefile.am,
	  dialogs/appearance-settings/appearance-dialog.glade,
	  dialogs/appearance-settings/main.c,
	  dialogs/appearance-settings/valgrind-log,
	  dialogs/appearance-settings/xfce4-appearance-settings.desktop.in,
	  dialogs/keyboard-settings, dialogs/keyboard-settings/Makefile.am,
	  dialogs/keyboard-settings/keyboard-dialog.glade,
	  dialogs/keyboard-settings/main.c,
	  dialogs/keyboard-settings/xfce4-keyboard-settings.desktop.in,
	  dialogs/mouse-settings, dialogs/mouse-settings/Makefile.am,
	  dialogs/mouse-settings/main.c,
	  dialogs/mouse-settings/mouse-dialog.glade,
	  dialogs/mouse-settings/xfce4-mouse-settings.desktop.in, po,
	  po/.intltool-merge-cache, po/ChangeLog, po/LINGUAS,
	  po/POTFILES.in, xfce4-settings-helper,
	  xfce4-settings-helper/Makefile.am,
	  xfce4-settings-helper/accessx.c, xfce4-settings-helper/accessx.h,
	  xfce4-settings-helper/main.c:
	  Copy code from xfce-mcs-plugins/branches/xfce-plugins-stephan
	  Initial commit of xfce4-settings

2008-06-15 08:57  kelnos

	* .:
	  add new module for xfconf settings dialogs and stuff

